---
title: Window.mozPaintCount
slug: Web/API/Window/mozPaintCount
tags:
  - API
  - 'API:Mozilla Extensions'
  - Deprecated
  - HTML DOM
  - NeedsExample
  - NeedsMarkupWork
  - NeedsSpecTable
  - Non-standard
  - Property
  - Reference
  - Window
---
<p>{{APIRef("Mozilla Extensions")}}{{Non-standard_Header}}{{Obsolete_Header("Gecko72")}}{{Gecko_MinVersion_Header("2.0")}}</p>

<p>Returns the number of times the current document has been painted to the screen in this window.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code>var <em>paintCount</em> = window.mozPaintCount;</code></pre>

<ul>
 <li><code><em>paintCount</em></code> stores the <code>window.mozPaintCount</code> property value.</li>
 <li>The <code>window.mozPaintCount</code> value is a <code>long long</code>, and starts at zero when the document is first created, incrementing by one each time the document is painted.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any <abbr title="World Wide Web Consortium">W3C</abbr> technical specification or recommendation.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.mozPaintCount")}}</p>
